/* global conjur */

'use strict';

var request = require('superagent');

module.exports = function(kind, id, callback, errCallback) {
    var defaultCallback = function(res) {
        if (res.error) {
            errCallback(res);
        } else {
            callback(res);
        }
    };

    request
        .get('/api/authz/' +
             window.encodeURIComponent(conjur.app.configuration.account) +
             '/roles?' +
             window.encodeURIComponent('roles[]') +
             '=' +
             window.encodeURIComponent(conjur.app.configuration.account + ':' + kind + ':' + id))
        .end(defaultCallback);
};
