/* global conjur */

'use strict';

var request = require('superagent');

module.exports = function(query, callback, errCallback) {
    request
        .get('/api/authz/' +
             conjur.app.configuration.account +
             '/resources?search=' + escape(query.replace('-',' ')))
        .end(function(res) {
            if (res.error) {
                errCallback(res);
            } else {
                callback(res);
            }
        });
};
