'use strict';

var React = require('react'),
    map = require('lodash/collection/map');

var FieldsMixin = require('./fields_mixin');

module.exports = React.createClass({
    displayName: 'AuditTableHeader',

    mixins: [FieldsMixin],

    propTypes: {
        compact: React.PropTypes.bool
    },

    getDefaultProps() {
        return {
            compact: false
        };
    },

    render() {
        var items = map(this.fields(), (field) => {
            return (
              <th key={field}>{field.replace('auditview_', '').replace('_', ' ')}</th>
            );
        });

        return (
          <thead>
            <tr>
              {items}
            </tr>
          </thead>
        );
    }
});
