'use strict';

var React = require('react'),
    capitalize = require('lodash/string/capitalize');

var utils = require('../../utils');

module.exports = React.createClass({
    displayName: 'SearchGroupTitle',

    propTypes: {
        kind: React.PropTypes.string,
        items: React.PropTypes.array
    },

    getDefaultProps() {
        return {
            kind: '',
            items: []
        };
    },

    render() {
        return (
          <span>{this.title()}</span>
        );
    },

    title() {
        var words = this.props.kind.replace(/[-_]/, ' ').split(' ');

        words[words.length - 1] = utils.pluralize(words[words.length - 1]);

        return (
            words.map(capitalize).join(' ') + ' (' + this.props.items.length + ')'
        );
    }
});
