/* global jest, describe, it, expect */

'use strict';

jest.dontMock('../fields_mixin');
jest.dontMock('../table_header');

var React = require('react/addons'),
    TestUtils = React.addons.TestUtils,
    TableHeader = require('../table_header');

describe('AuditTableHeader', function() {
    it('default render', function() {
        var component = TestUtils.renderIntoDocument(
          <TableHeader />
        );

        var element = TestUtils.findRenderedDOMComponentWithTag(component, 'th');

//        expect(element);
    });

    it('compact mode', function() {
        var component = TestUtils.renderIntoDocument(
          <TableHeader compact={true} />
        );

        var element = TestUtils.findRenderedDOMComponentWithTag(component, 'th');

    });

    it('non-compact mode', function() {
        var component = TestUtils.renderIntoDocument(
          <TableHeader compact={false} />
        );

        var element = TestUtils.findRenderedDOMComponentWithTag(component, 'th');

    });
});
